swi-prolog (9.2.9+dfsg-1) unstable; urgency=medium

  * New upstream version 9.2.9+dfsg
  * Refresh patches, drop patch applied upstream
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 19 Jan 2025 00:07:58 +0500

swi-prolog (9.2.8+dfsg-3) unstable; urgency=medium

  * Build and install Python interface

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 25 Nov 2024 21:02:41 +0500

swi-prolog (9.2.8+dfsg-2) unstable; urgency=medium

  * Fix jpl autopkgtest on i386

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 22 Nov 2024 00:58:24 +0500

swi-prolog (9.2.8+dfsg-1) unstable; urgency=medium

  * New upstream version 9.2.8+dfsg
  * Refresh patches, drop patch applied upstream
  * Import upstream patch to fix division by zero
  * d/control: Declare Standards-Version 4.7.0 (no changes needed)
  * d/control: Build-Depend on junit4, not junit
  * Fix formatting of NEWS.Debian
  * Fix lintian-override jar-not-in-usr-share

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 30 Oct 2024 16:03:07 +0500

swi-prolog (9.0.4+dfsg-4) unstable; urgency=medium

  * Import Ubuntu fix for 64-bit time_t (Closes: #1068600)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 09 Apr 2024 17:16:03 +0500

swi-prolog (9.0.4+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063102.

 -- Steve Langasek <vorlon@debian.org>  Sat, 02 Mar 2024 06:10:07 +0000

swi-prolog (9.0.4+dfsg-3) unstable; urgency=medium

  * Add upstream patch bumping Java compatibility version
    (Closes: #1052580)

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 20 Nov 2023 14:24:18 +0500

swi-prolog (9.0.4+dfsg-2) unstable; urgency=medium

  * Provide a virtual libswipl9 package in swi-prolog-core
    Thanks to Sven Joachim
  * Add Versioned Breaks against logol-bin and libppl-swi (Closes: #1033636)
    Thanks to Sven Joachim

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 31 Mar 2023 13:09:42 +0500

swi-prolog (9.0.4+dfsg-1) unstable; urgency=medium

  * New upstream version 9.0.4+dfsg
  * Drop patch applied upstream (ODBC 32-bit fix)
  * d/changelog: Fix typos in some old changelog entries
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 31 Jan 2023 13:14:31 +0500

swi-prolog (9.0.3+dfsg-1) unstable; urgency=medium

  * New upstream version 9.0.3+dfsg (Closes: #1026057)
  * Link against -latomic for riscv64 (Closes: #1025336)
    Thanks to Manuel A. Fernandez Montecelo
  * d/control: Build-Depend on emacs-common to build sweep_link package
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 19 Dec 2022 12:52:55 +0500

swi-prolog (9.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version 9.0.2+dfsg
  * Refresh patches
  * Add doc-base entries for redis and stomp
  * d/control: Build against libpcre2-dev
  * d/copyright: Update copyright information
  * d/rules: Properly set ABI variables

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 07 Dec 2022 12:17:10 +0500

swi-prolog (9.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 9.0.0+dfsg
  * Refresh patches
  * Drop patches applied upstream
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 02 Dec 2022 14:49:17 +0500

swi-prolog (8.4.3+dfsg-2) unstable; urgency=medium

  * Add patch to correctly handle endianness when reporting ABI hash.
    Thanks to Jan Wielemaker.

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 01 Oct 2022 22:17:12 +0500

swi-prolog (8.4.3+dfsg-1) unstable; urgency=medium

  * New upstream version 8.4.3+dfsg
  * Add patch to avoid undefined exports if threads are not supported
  * Add patch to write in tmpdir when running tests of xpce package
  * Add patch to support setting path to the interpreter while producing
    pre-compiled Prolog files
  * Add patch to mitigate test_ffi failure on installed systems
  * d/control: Declare Standards-Version 4.6.1 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 07 Sep 2022 17:09:50 +0500

swi-prolog (8.4.2+dfsg-2) unstable; urgency=medium

  * Add patch to handle ODBC on 32-bit platforms.
    Thanks to Hugh McMaster.

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 20 Feb 2022 14:50:30 +0500

swi-prolog (8.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version 8.4.2+dfsg
  * Refresh patches
  * d/control: Declare Standards-Version 4.6.0 (no changes needed)
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 15 Feb 2022 20:56:47 +0500

swi-prolog (8.2.4+dfsg-1) unstable; urgency=medium

  * New upstream version 8.2.4+dfsg
  * Refresh patches
  * Drop ssl test patch applied upstream
  * d/copyright: Update copyright information
  * d/watch: Migrate to version 4

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 30 Jan 2021 10:18:30 +0500

swi-prolog (8.2.3+dfsg-3) unstable; urgency=medium

  * Fix openssl patch (Closes: #977657)

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 28 Dec 2020 15:20:32 +0500

swi-prolog (8.2.3+dfsg-2) unstable; urgency=medium

  * Add patch to fix FTBFS with OpenSSL 1.1.1i (Closes: #977657)
    Thanks to Kurt Roeckx

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 25 Dec 2020 15:47:31 +0500

swi-prolog (8.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 8.2.3+dfsg
  * Drop patches included in the current version
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 24 Nov 2020 13:29:52 +0500

swi-prolog (8.2.2+dfsg-3) unstable; urgency=medium

  * Add patch to fix wrong format/3 usage in xsb test

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 06 Nov 2020 15:28:25 +0500

swi-prolog (8.2.2+dfsg-2) unstable; urgency=medium

  * Add upstream patches to fix bugs (Closes: #973527)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 05 Nov 2020 20:22:31 +0500

swi-prolog (8.2.2+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply a patch from upstream to address a regression on 32bit architectures
   (Closes: #973527).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 03 Nov 2020 21:49:43 +0100

swi-prolog (8.2.2+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Lev Lamberov ]
  * New upstream version 8.2.2+dfsg (Closes: #972862)
  * Refresh patches
  * Drop patch to break long JavaScript line
  * Drop patch applied upstream (increase expire of test certificates)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 29 Oct 2020 12:28:15 +0500

swi-prolog (8.2.1+dfsg-2) unstable; urgency=medium

  * Increase certificate expiry time and CRL refresh time to 3 years
    Thanks to Matt Lilley and Jan Wielemaker (Closes: #968013)

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 10 Aug 2020 22:01:56 +0500

swi-prolog (8.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version 8.2.1+dfsg
  * Refresh patches
  * Halt after one successful test run in autopkgtest
  * Capitalize docs titles properly (for docbase)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 03 Jul 2020 16:15:02 +0500

swi-prolog (8.2.0+dfsg-2) unstable; urgency=medium

  * Remove INDEX.pl since it is generated by postinst scripts
  * Generate BABI, QLF, and SSTATES ABI virtual packages
  * d/control: Loose dependency on swi-prolog-doc to Suggests

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 09 Jun 2020 10:02:11 +0500

swi-prolog (8.2.0+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 8.2.0+dfsg
  * Drop xpce symlink to swipl
  * Drop xpce.1 manpage (removed upstream)
  * Update lintian overrides
  * d/control: Drop Suggests self-dependence of swi-prolog-core-packages
  * d/control: Mark build dependency on libunwind-dev as not for s390x

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 31 May 2020 20:11:41 +0500

swi-prolog (8.1.32+dfsg-1) experimental; urgency=medium

  * New upstream version 8.1.32+dfsg
  * Drop default-stack-size.diff (it is not needed now)
  * Refresh patches
  * Fix typo and reformat of d/NEWS
  * Do possible regeneration of library index in postrm scripts
  * Remove prerm scripts since everything is done in postrm scripts
  * Add doc-base support for provided documentation
  * Menu entry is provided by swi-prolog-core, not swi-prolog-nox
  * Drop menu entry for xpce (proper executable do not exist anymore)
  * d/control: Declare Standards-Version 4.5.0 (no changes needed)
  * d/rules: Add DH_VERBOSE = 1

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 27 May 2020 17:10:28 +0500

swi-prolog (8.1.30+dfsg-2) experimental; urgency=medium

  * d/control: Add Breaks and Replaces relations between swi-prolog packages
    (Closes: #960341)
  * d/control: Downgrade dependency on libjs-jquery to Recommend
  * d/control: Provide ABI and foreign ABI packages
  * d/control: Migrate to debhelper-compat 13
  * Better library index handling during installation and remove

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 12 May 2020 11:08:33 +0500

swi-prolog (8.1.30+dfsg-1) experimental; urgency=medium

  * New upstream version 8.1.30+dfsg
  * Refresh patches
  * Build more fine-grained packages, namely: swi-prolog-full, swi-prolog-core,
    and swi-prolog-core-packages
  * d/control: Drop dependencies on development packages (Closes: #959027)
  * d/control: Drop $(shlibs:Depends) for Architecture:all packages
  * d/control: Make swi-prolog-core provide swi-prolog-abi-HASH
  * d/rules: Drop outdated commented out directive

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 03 May 2020 14:17:59 +0500

swi-prolog (8.1.29+dfsg-2) unstable; urgency=medium

  * Fix autopkgtests (correct LD_LIBRARY_PATH handling)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 24 Apr 2020 19:52:57 +0500

swi-prolog (8.1.29+dfsg-1) unstable; urgency=medium

  * New upstream version 8.1.29+dfsg
  * Refresh patches
  * Drop patch to fix pengines tests
  * Better handling of LD_LIBRARY_PATH in autopkgtests
  * d/control: Build-Depend on libgoogle-perftools-dev (needed for tcmalloc)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 23 Apr 2020 19:02:03 +0500

swi-prolog (8.1.28+dfsg-1) unstable; urgency=medium

  * New upstream version 8.1.28+dfsg (Closes: #955359)
  * Refresh patches
  * Drop patch to disable ssl
  * Disable http_proxy test
  * Import upstream test patch (pengines)
  * d/control: Remove trailing comma in Build-Depends
  * Put documentation to /usr/share/swi-prolog/
  * Use shipped tests to run autopkgtests
  * Ship predefined tests in a separate package

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 13 Apr 2020 15:56:28 +0500

swi-prolog (8.1.26+dfsg-2) unstable; urgency=medium

  * Add description to d/patches/disable_ssl_test.diff
  * Rename NEWS.Debian -> NEWS
  * d/contol: Add Rules-Requires-Root: no
  * d/contol: swi-prolog-doc should depend on source version, not binary
  * d/copyright: Update copyright information
  * d/watch: Use secure URI in d/watch

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 29 Mar 2020 09:55:46 +0500

swi-prolog (8.1.26+dfsg-1) unstable; urgency=medium

  * New upstream version 8.1.26+dfsg
  * Refresh patches
  * Disable ssl test for now
  * Package documentation and examples separately
  * Add basic autopkgtests support
  * d/control: Declare swi-prolog-doc as Architecture:all
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 28 Mar 2020 21:43:11 +0500

swi-prolog (8.0.3+dfsg-1) unstable; urgency=medium

  * New upstream version 8.0.3+dfsg (Closes: #939257)
  * Refresh patches
  * Drop patch applied upstream (symlink creation for jpl)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 03 Sep 2019 14:11:09 +0500

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog swi-prolog-core`.
